/*
 * Pluginsystem
 * Copyright (C) Thasso Griebel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package org.java.plugin.extension.annotations.scanner;

/**
 * Class models a parameter
 *
 * @author Thasso Griebel
 */
public class ParameterContainer {
	private String id;
	private String value;
	private Class<?> type;
	
	public ParameterContainer(String id, String value, Class<?> type){
		this.id = id;
		this.value = value;
		this.type = type;
	}
	public String getId() {
		return id;
	}
	public String getValue() {
		return value;
	}
	public Class<?> getType() {
		return type;
	}
	
}
