/*
 * Pluginsystem
 * Copyright (C) Thasso Griebel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package org.java.plugin.extension.converter;

import java.lang.reflect.Type;

/**
 * Converts Strings to target type. Extend this to create new String converter.
 *
 * @author Thasso Griebel (thasso.griebel@gmail.com)
 * @param <T> target type
 */
public abstract class StringConverter<T> implements ExtendedConverter<String, T>{
    /** 
     * @return String.class as source type
     */
    public Type getSource() {
        return String.class;
    }
}
